# Class WrapperConnectionPoolDataSource

java.lang.Object
com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
com.mchange.v2.c3p0.impl.IdentityTokenResolvable
com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase
com.mchange.v2.c3p0.WrapperConnectionPoolDataSource

All Implemented Interfaces:
  `com.mchange.v2.c3p0.impl.IdentityTokenized, Serializable, Referenceable, CommonDataSource, ConnectionPoolDataSource`

public final class WrapperConnectionPoolDataSource extends com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase implements ConnectionPoolDataSource

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase

`pcs, vcs`

## Constructor Summary

Constructors
Constructor
Description
`WrapperConnectionPoolDataSource()`
`WrapperConnectionPoolDataSource(boolean autoregister)`
`WrapperConnectionPoolDataSource(String configName)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`extraToStringInfo()`
`int`
`getLoginTimeout()`
`PrintWriter`
`getLogWriter()`
`Logger`
`getParentLogger()`
`String`
`getPassword()`
`PooledConnection`
`getPooledConnection()`
`protected PooledConnection`
`getPooledConnection(ConnectionCustomizer cc, String pdsIdt)`
`PooledConnection`
`getPooledConnection(String user, String password)`
`protected PooledConnection`
`getPooledConnection(String user, String password, ConnectionCustomizer cc, String pdsIdt)`
`String`
`getUser()`
`Map`
`getUserOverrides()`
`boolean`
`isWrapperFor(Class c)`
`void`
`setLoginTimeout(int seconds)`
`void`
`setLogWriter(PrintWriter out)`
`String`
`toString()`
`Object`
`unwrap(Class c)`

### Methods inherited from class com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase

`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, getAcquireIncrement, getAcquireRetryAttempts, getAcquireRetryDelay, getAutomaticTestTable, getCheckoutTimeout, getConnectionCustomizerClassName, getConnectionTesterClassName, getFactoryClassLocation, getIdentityToken, getIdleConnectionTestPeriod, getInitialPoolSize, getMaxAdministrativeTaskTime, getMaxConnectionAge, getMaxIdleTime, getMaxIdleTimeExcessConnections, getMaxPoolSize, getMaxStatements, getMaxStatementsPerConnection, getMinPoolSize, getNestedDataSource, getOverrideDefaultPassword, getOverrideDefaultUser, getPreferredTestQuery, getPropertyChangeSupport, getPropertyCycle, getReference, getUnreturnedConnectionTimeout, getUserOverridesAsString, getVetoableChangeSupport, isAutoCommitOnClose, isBreakAfterAcquireFailure, isDebugUnreturnedConnectionStackTraces, isForceIgnoreUnresolvedTransactions, isTestConnectionOnCheckin, isTestConnectionOnCheckout, isUsesTraditionalReflectiveProxies, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, setAcquireIncrement, setAcquireRetryAttempts, setAcquireRetryDelay, setAutoCommitOnClose, setAutomaticTestTable, setBreakAfterAcquireFailure, setCheckoutTimeout, setConnectionCustomizerClassName, setConnectionTesterClassName, setDebugUnreturnedConnectionStackTraces, setFactoryClassLocation, setForceIgnoreUnresolvedTransactions, setIdentityToken, setIdleConnectionTestPeriod, setInitialPoolSize, setMaxAdministrativeTaskTime, setMaxConnectionAge, setMaxIdleTime, setMaxIdleTimeExcessConnections, setMaxPoolSize, setMaxStatements, setMaxStatementsPerConnection, setMinPoolSize, setNestedDataSource, setOverrideDefaultPassword, setOverrideDefaultUser, setPreferredTestQuery, setPropertyCycle, setTestConnectionOnCheckin, setTestConnectionOnCheckout, setUnreturnedConnectionTimeout, setUserOverridesAsString, setUsesTraditionalReflectiveProxies`

### Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable

`doResolve, readResolve, verifyResolve`

### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized

`equals, hashCode`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface ConnectionPoolDataSource

`createPooledConnectionBuilder`

## Constructor Details

### WrapperConnectionPoolDataSource

public WrapperConnectionPoolDataSource(boolean autoregister)

### WrapperConnectionPoolDataSource

public WrapperConnectionPoolDataSource()

### WrapperConnectionPoolDataSource

public WrapperConnectionPoolDataSource(String configName)

## Method Details

### getPooledConnection

public PooledConnection getPooledConnection() throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getPooledConnection

protected PooledConnection getPooledConnection(ConnectionCustomizer cc, String pdsIdt) throws SQLException

Specified by:
  `getPooledConnection` in class `com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase`
Throws:
  `SQLException`

### getPooledConnection

public PooledConnection getPooledConnection(String user, String password) throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getPooledConnection

protected PooledConnection getPooledConnection(String user, String password, ConnectionCustomizer cc, String pdsIdt) throws SQLException

Specified by:
  `getPooledConnection` in class `com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase`
Throws:
  `SQLException`

### getLogWriter

public PrintWriter getLogWriter() throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### setLogWriter

public void setLogWriter(PrintWriter out) throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### setLoginTimeout

public void setLoginTimeout(int seconds) throws SQLException

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getLoginTimeout

public int getLoginTimeout() throws SQLException

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

### getUser

public String getUser()

### getPassword

public String getPassword()

### getUserOverrides

public Map getUserOverrides()

### toString

public String toString()

Overrides:
  `toString` in class `com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase`

### extraToStringInfo

protected String extraToStringInfo()

Overrides:
  `extraToStringInfo` in class `com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase`

### getParentLogger

public Logger getParentLogger() throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`

### isWrapperFor

public boolean isWrapperFor(Class c) throws SQLException

Throws:
  `SQLException`

### unwrap

public Object unwrap(Class c) throws SQLException

Throws:
  `SQLException`